Page MenuHomePhabricator

Please modify abusefilter configuration for Meta-Wiki
Closed, ResolvedPublic

Description

When the community approved and requested in T54681 that AbuseFilter should be able to block users at Meta, we forgot to ask the change of the configuration settings to allow Meta-Wiki admins to use the feature. It happens that "block" is a restricted action and Meta-Wiki sysops do not have the 'abusefilter-modify-restricted' usergroup.

As such, I am requesting that the following rights be added to Meta-Wiki administrators (along with other changes non controversial changes such as the ability to revert changes and view private filters [this one is default to all sysops] to make this feature avalaible:

$wgGroupPermissions['sysop']['abusefilter-modify-restricted'] = true;
$wgGroupPermissions['sysop']['abusefilter-revert'] = true;
$wgGroupPermissions['sysop']['abusefilter-view-private'] = true;

There was community discussion in december last year, but I guess that since it was a single minor incident, nobody posted this here. However today trying to do maintenance on some filters, an error message appears telling me that I do not have the appropriate permissions. I think it would be overkill to ask the stewards each time a local filter with a restricted option needs to be modified.

And passing by, please modify the following:

$wgAbuseFilterBlockDuration = 'infinite';
$wgAbuseFilterAnonBlockDuration = '31 hours';

The first one is no real change as it is already default in the global configuration. The second one is to prevent the filter blocking IPs forever, blocking them for 31 hours instead as it is standard practice on Meta.

If you have questions please do not hesistate to ask. Hope to have posted this correctly. Best regards.

Event Timeline

MarcoAurelio raised the priority of this task from to Needs Triage.
MarcoAurelio updated the task description. (Show Details)
MarcoAurelio changed Security from none to None.
MarcoAurelio added subscribers: Unknown Object (MLST), Jasper, csteipp and 9 others.
Glaisher claimed this task.Nov 30 2014, 3:19 PM

Change 176504 had a related patch set uploaded (by Glaisher):
Modify abusefilter configuration for metawiki

https://gerrit.wikimedia.org/r/176504

Patch-For-Review

Glaisher renamed this task from Please modify userrights configuration for Meta-Wiki sysops to Please modify abusefilter configuration for Meta-Wiki.Nov 30 2014, 5:36 PM
Glaisher triaged this task as Normal priority.

hoo says that 'abusefilter-view-private' isn't needed as 'abusefilter-modify' includes that.

Change 176504 merged by jenkins-bot:
Modify abusefilter configuration for metawiki

https://gerrit.wikimedia.org/r/176504

Glaisher closed this task as Resolved.Dec 1 2014, 4:07 PM

SWATted :)

Restricted Application added a subscriber: Matanya. · View Herald TranscriptOct 13 2015, 4:54 PM
Restricted Application added a project: User-MarcoAurelio. · View Herald TranscriptAug 21 2017, 1:11 PM